## org.apache.mahout.common.nlp
Class NGrams

    java.lang.Object
      org.apache.mahout.common.nlp.NGrams

    public class NGrams

extends Object

Constructor Summary
`NGrams(String line, int gramSize)`

Method Summary
`Map<String,List<String>>` `generateNGrams()`
`List<String>` `generateNGramsWithoutLabel()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NGrams

    public NGrams(String line,
                  int gramSize)

Method Detail

### generateNGrams

    public Map<String,List<String>> generateNGrams()

### generateNGramsWithoutLabel

    public List<String> generateNGramsWithoutLabel()

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.